# ForSpec

## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **as_at_range_for_spec** | [AsAtRangeForSpec](AsAtRangeForSpec.md) | Optional | *No description available.* |
| **as_at_relative** | [AsAtRelative](AsAtRelative.md) | Optional | *No description available.* |
| **effective_date_has_quality** | [EffectiveDateHasQuality](EffectiveDateHasQuality.md) | Optional | *No description available.* |
| **effective_date_relative** | [EffectiveDateRelative](EffectiveDateRelative.md) | Optional | *No description available.* |
| **effective_range** | [EffectiveRange](EffectiveRange.md) | Optional | *No description available.* |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.access.models.ForSpec import ForSpec

instance = ForSpec(
    as_at_range_for_spec=AsAtRangeForSpec(...),  # optional
    as_at_relative=AsAtRelative(...),  # optional
    effective_date_has_quality=EffectiveDateHasQuality(...),  # optional
    effective_date_relative=EffectiveDateRelative(...),  # optional
    effective_range=EffectiveRange(...)  # optional
)
```


## Related Models

- [AsAtRangeForSpec](AsAtRangeForSpec.md)
- [AsAtRelative](AsAtRelative.md)
- [EffectiveDateHasQuality](EffectiveDateHasQuality.md)
- [EffectiveDateRelative](EffectiveDateRelative.md)
- [EffectiveRange](EffectiveRange.md)


[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

